Index: /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/components/FacetPanel.java
===================================================================
--- /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/components/FacetPanel.java	(revision 4587)
+++ /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/components/FacetPanel.java	(revision 4588)
@@ -28,4 +28,8 @@
 
 /**
+ * Panel that displays a single facet based on the current query/value
+ * selection. Two children will be generated: a {@link FacetValuesPanel} and a
+ * {@link SelectedFacetPanel}. One of them is set visible (at {@link
+ * #onConfigure()}), depending on whether this facet has selected values.
  *
  * @author twagoo
@@ -61,5 +65,5 @@
 
     private FacetValuesPanel createFacetValuesPanel(String id) {
-        return new FacetValuesPanel(id,new PropertyModel<FacetField>(model, "facetField")) {
+        return new FacetValuesPanel(id, new PropertyModel<FacetField>(model, "facetField")) {
             @Override
             public void onValuesSelected(String facet, Collection<String> value, AjaxRequestTarget target) {
Index: /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/components/FacetsPanel.java
===================================================================
--- /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/components/FacetsPanel.java	(revision 4587)
+++ /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/components/FacetsPanel.java	(revision 4588)
@@ -18,5 +18,4 @@
 
 import eu.clarin.cmdi.vlo.pojo.QueryFacetsSelection;
-import eu.clarin.cmdi.vlo.service.FacetFieldsService;
 import eu.clarin.cmdi.vlo.wicket.model.FacetSelectionModel;
 import java.util.List;
@@ -30,9 +29,6 @@
  * A panel representing a group of facets.
  *
- * For each facet present (retrieved from the injected
- * {@link FacetFieldsService}, a panel is added. This is either a
- * {@link FacetValuesPanel}, allowing for selection of facet values, or a
- * {@link SelectedFacetPanel} representing a facet with selected values,
- * allowing for deselection of these values.
+ * For each facet present in the provided list model, a {@link FacetPanel} is
+ * added to the a list view.
  *
  * @author twagoo
@@ -40,4 +36,12 @@
 public class FacetsPanel extends Panel {
 
+    /**
+     *
+     * @param id component id
+     * @param facetsModel model that provides the list of facets to show in this
+     * panel
+     * @param selectionModel model representing the current query/value
+     * selection state
+     */
     public FacetsPanel(final String id, final IModel<List<FacetField>> facetsModel, final IModel<QueryFacetsSelection> selectionModel) {
         super(id, selectionModel);
Index: /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/model/FacetFieldModel.java
===================================================================
--- /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/model/FacetFieldModel.java	(revision 4587)
+++ /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/model/FacetFieldModel.java	(revision 4588)
@@ -26,4 +26,10 @@
 
 /**
+ * Decorator for {@link FacetFieldsModel} for a selection of a single facet.
+ *
+ * Notice that the actual retrieval is carried out by the provided
+ * {@link FacetFieldsService}, which therefore should be configured to actually
+ * retrieve the specified facet (through the constructor), otherwise it may not
+ * be presented.
  *
  * @author twagoo
@@ -34,4 +40,10 @@
     private final FacetFieldsModel fieldsModel;
 
+    /**
+     *
+     * @param service service to use for facet field retrieval
+     * @param facet facet to provide
+     * @param selectionModel model that provides current query/selection
+     */
     public FacetFieldModel(FacetFieldsService service, String facet, IModel<QueryFacetsSelection> selectionModel) {
         fieldsModel = new FacetFieldsModel(service, Collections.singletonList(facet), selectionModel);
Index: /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/model/FacetFieldsModel.java
===================================================================
--- /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/model/FacetFieldsModel.java	(revision 4587)
+++ /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/model/FacetFieldsModel.java	(revision 4588)
@@ -29,4 +29,11 @@
 
 /**
+ * Model that provides a list of {@link FacetField}s based on the current query
+ * and values selection, filtered through a selection of facet names.
+ *
+ * Notice that the actual retrieval is carried out by the provided
+ * {@link FacetFieldsService}, which therefore should be configured to actually
+ * retrieve the specified facets (in the list in the constructor), otherwise
+ * some of these may not be present.
  *
  * @author twagoo
@@ -38,4 +45,10 @@
     private final IModel<QueryFacetsSelection> selectionModel;
 
+    /**
+     *
+     * @param service service to use for facet field retrieval
+     * @param facets facets to include
+     * @param selectionModel model that provides current query/selection
+     */
     public FacetFieldsModel(FacetFieldsService service, List<String> facets, IModel<QueryFacetsSelection> selectionModel) {
         this.service = service;