Index: /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/pojo/ResourceTypeCount.java
===================================================================
--- /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/pojo/ResourceTypeCount.java	(revision 4619)
+++ /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/pojo/ResourceTypeCount.java	(revision 4620)
@@ -47,3 +47,29 @@
     }
 
+    @Override
+    public int hashCode() {
+        int hash = 7;
+        hash = 89 * hash + (this.resourceType != null ? this.resourceType.hashCode() : 0);
+        hash = 89 * hash + (this.count != null ? this.count.hashCode() : 0);
+        return hash;
+    }
+
+    @Override
+    public boolean equals(Object obj) {
+        if (obj == null) {
+            return false;
+        }
+        if (getClass() != obj.getClass()) {
+            return false;
+        }
+        final ResourceTypeCount other = (ResourceTypeCount) obj;
+        if (this.resourceType != other.resourceType) {
+            return false;
+        }
+        if (this.count != other.count && (this.count == null || !this.count.equals(other.count))) {
+            return false;
+        }
+        return true;
+    }
+
 }
Index: /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/service/impl/ResourceTypeCountingServiceImpl.java
===================================================================
--- /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/service/impl/ResourceTypeCountingServiceImpl.java	(revision 4619)
+++ /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/service/impl/ResourceTypeCountingServiceImpl.java	(revision 4620)
@@ -64,4 +64,6 @@
             } else if (normalizeMimeType.equals(FacetConstants.RESOURCE_TYPE_VIDEO)) {
                 countBag.add(ResourceType.VIDEO);
+            } else{
+                countBag.add(ResourceType.OTHER);
             }
         }
Index: /vlo/branches/vlo-3.0/vlo-web-app/src/test/java/eu/clarin/cmdi/vlo/service/impl/ResourceTypeCountingServiceImplTest.java
===================================================================
--- /vlo/branches/vlo-3.0/vlo-web-app/src/test/java/eu/clarin/cmdi/vlo/service/impl/ResourceTypeCountingServiceImplTest.java	(revision 4620)
+++ /vlo/branches/vlo-3.0/vlo-web-app/src/test/java/eu/clarin/cmdi/vlo/service/impl/ResourceTypeCountingServiceImplTest.java	(revision 4620)
@@ -0,0 +1,85 @@
+/*
+ * Copyright (C) 2014 CLARIN
+ *
+ * This program is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ */
+package eu.clarin.cmdi.vlo.service.impl;
+
+import eu.clarin.cmdi.vlo.FacetConstants;
+import eu.clarin.cmdi.vlo.pojo.ResourceType;
+import eu.clarin.cmdi.vlo.pojo.ResourceTypeCount;
+import java.util.Arrays;
+import java.util.Collection;
+import org.junit.After;
+import org.junit.AfterClass;
+import org.junit.Before;
+import org.junit.BeforeClass;
+import org.junit.Test;
+import static org.junit.Assert.*;
+import static org.hamcrest.Matchers.*;
+
+/**
+ *
+ * @author twagoo
+ */
+public class ResourceTypeCountingServiceImplTest {
+
+    public ResourceTypeCountingServiceImplTest() {
+    }
+
+    @BeforeClass
+    public static void setUpClass() {
+    }
+
+    @AfterClass
+    public static void tearDownClass() {
+    }
+
+    @Before
+    public void setUp() {
+    }
+
+    @After
+    public void tearDown() {
+    }
+
+    /**
+     * Test of countResourceTypes method, of class
+     * ResourceTypeCountingServiceImpl.
+     */
+    @Test
+    public void testCountResourceTypes() {
+        System.out.println("countResourceTypes");
+        Collection<String> resources = Arrays.asList(
+                "video/mpeg" + FacetConstants.FIELD_RESOURCE_SPLIT_CHAR + "myvideo",
+                "video/mpeg" + FacetConstants.FIELD_RESOURCE_SPLIT_CHAR + "myvideo",
+                "audio/ogg" + FacetConstants.FIELD_RESOURCE_SPLIT_CHAR + "myaudio",
+                "audio/ogg" + FacetConstants.FIELD_RESOURCE_SPLIT_CHAR + "myaudio",
+                "audio/ogg" + FacetConstants.FIELD_RESOURCE_SPLIT_CHAR + "myaudio",
+                "audio/ogg" + FacetConstants.FIELD_RESOURCE_SPLIT_CHAR + "myaudio",
+                "text/plain" + FacetConstants.FIELD_RESOURCE_SPLIT_CHAR + "mytext",
+                "application/pdf" + FacetConstants.FIELD_RESOURCE_SPLIT_CHAR + "mypdf", // pdf = text
+                "text/x-chat" + FacetConstants.FIELD_RESOURCE_SPLIT_CHAR + "mytext", // annotation
+                "application/zip" + FacetConstants.FIELD_RESOURCE_SPLIT_CHAR + "myzip"
+        );
+        ResourceTypeCountingServiceImpl instance = new ResourceTypeCountingServiceImpl();
+        Collection<ResourceTypeCount> result = instance.countResourceTypes(resources);
+        assertThat(result, hasItem(equalTo(new ResourceTypeCount(ResourceType.VIDEO, 2))));
+        assertThat(result, hasItem(new ResourceTypeCount(ResourceType.AUDIO, 4)));
+        assertThat(result, hasItem(new ResourceTypeCount(ResourceType.TEXT, 2)));
+        assertThat(result, hasItem(new ResourceTypeCount(ResourceType.ANNOTATION, 1)));
+        assertThat(result, hasItem(new ResourceTypeCount(ResourceType.OTHER, 1))); // the zip
+    }
+
+}