Index: /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/components/SearchResultItemPanel.java
===================================================================
--- /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/components/SearchResultItemPanel.java	(revision 4624)
+++ /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/components/SearchResultItemPanel.java	(revision 4625)
@@ -22,7 +22,5 @@
 import eu.clarin.cmdi.vlo.pojo.ResourceTypeCount;
 import eu.clarin.cmdi.vlo.service.ResourceTypeCountingService;
-import eu.clarin.cmdi.vlo.wicket.model.NullFallbackModel;
 import eu.clarin.cmdi.vlo.wicket.model.SolrFieldModel;
-import eu.clarin.cmdi.vlo.wicket.model.SolrFieldStringModel;
 import java.util.Locale;
 import org.apache.solr.common.SolrDocument;
@@ -76,22 +74,4 @@
         // not passed to super
         selectionModel.detach();
-    }
-
-    /**
-     * Label that shows the content of a Solr field by its string value (using
-     * {@link SolrFieldStringModel})
-     */
-    private static class SolrFieldLabel extends Label {
-
-        public SolrFieldLabel(String id, IModel<SolrDocument> documentModel, String fieldName) {
-            super(id, new SolrFieldStringModel(documentModel, fieldName));
-        }
-
-        public SolrFieldLabel(String id, IModel<SolrDocument> documentModel, String fieldName, String nullFallback) {
-            super(id,
-                    new NullFallbackModel(
-                            new SolrFieldStringModel(documentModel, fieldName), nullFallback));
-        }
-
     }
 
Index: /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/components/SolrFieldLabel.java
===================================================================
--- /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/components/SolrFieldLabel.java	(revision 4625)
+++ /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/components/SolrFieldLabel.java	(revision 4625)
@@ -0,0 +1,39 @@
+/*
+ * Copyright (C) 2014 CLARIN
+ *
+ * This program is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ */
+package eu.clarin.cmdi.vlo.wicket.components;
+
+import eu.clarin.cmdi.vlo.wicket.model.NullFallbackModel;
+import eu.clarin.cmdi.vlo.wicket.model.SolrFieldStringModel;
+import org.apache.solr.common.SolrDocument;
+import org.apache.wicket.markup.html.basic.Label;
+import org.apache.wicket.model.IModel;
+
+/**
+ * Label that shows the content of a Solr field by its string value (using
+ * {@link SolrFieldStringModel})
+ */
+public class SolrFieldLabel extends Label {
+
+    public SolrFieldLabel(String id, IModel<SolrDocument> documentModel, String fieldName) {
+        super(id, new SolrFieldStringModel(documentModel, fieldName));
+    }
+
+    public SolrFieldLabel(String id, IModel<SolrDocument> documentModel, String fieldName, String nullFallback) {
+        super(id, new NullFallbackModel(new SolrFieldStringModel(documentModel, fieldName), nullFallback));
+    }
+
+}
Index: /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/pages/RecordPage.html
===================================================================
--- /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/pages/RecordPage.html	(revision 4624)
+++ /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/pages/RecordPage.html	(revision 4625)
@@ -76,7 +76,7 @@
                     | <a href="">next &gt;</a><br />
                 </div>
-                <h1 id="recordtitle">&quot;Chinese Democratie en de Transformatie&quot;</h1>
+                <h1 wicket:id="name" id="recordtitle">[TITLE]</h1>
                 <div id="recorddetails">
-                    <a id="recordlandingpage" href="http://dspace.library.uu.nl/handle/1874/235456">Show this record in its original context</a>
+                    <a wicket:id="landingPageLink" id="recordlandingpage">Show this record in its original context</a>
                     <table class="recorddetailstable">
                         <tbody class="attributesTbody">
Index: /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/pages/RecordPage.java
===================================================================
--- /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/pages/RecordPage.java	(revision 4624)
+++ /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/pages/RecordPage.java	(revision 4625)
@@ -17,7 +17,11 @@
 package eu.clarin.cmdi.vlo.wicket.pages;
 
+import eu.clarin.cmdi.vlo.FacetConstants;
 import eu.clarin.cmdi.vlo.pojo.QueryFacetsSelection;
+import eu.clarin.cmdi.vlo.wicket.components.SolrFieldLabel;
+import eu.clarin.cmdi.vlo.wicket.model.SolrFieldStringModel;
 import org.apache.solr.common.SolrDocument;
 import org.apache.wicket.markup.html.WebPage;
+import org.apache.wicket.markup.html.link.ExternalLink;
 import org.apache.wicket.model.IModel;
 
@@ -28,11 +32,29 @@
 public class RecordPage extends WebPage {
 
-    private final IModel<SolrDocument> documentModel;
+//    private final IModel<SolrDocument> documentModel;
     private final IModel<QueryFacetsSelection> contextModel;
 
     public RecordPage(IModel<SolrDocument> documentModel, IModel<QueryFacetsSelection> contextModel) {
         super(documentModel);
-        this.documentModel = documentModel;
+//        this.documentModel = documentModel;
         this.contextModel = contextModel;
+
+        add(new SolrFieldLabel("name", documentModel, FacetConstants.FIELD_NAME, "Unnamed record"));
+        add(createLandingPageLink("landingPageLink", documentModel));
+    }
+
+    private ExternalLink createLandingPageLink(String id, IModel<SolrDocument> documentModel) {
+        final SolrFieldStringModel landingPageHrefModel = new SolrFieldStringModel(documentModel, FacetConstants.FIELD_LANDINGPAGE);
+        // add landing page link
+        final ExternalLink landingPageLink = new ExternalLink(id, landingPageHrefModel) {
+
+            @Override
+            protected void onConfigure() {
+                super.onConfigure();
+                setVisible(landingPageHrefModel.getObject() != null);
+            }
+
+        };
+        return landingPageLink;
     }
 