Index: cats/SCHEMAcat/trunk/data/schemata/s1/index.schemacat
===================================================================
--- cats/SCHEMAcat/trunk/data/schemata/s1/index.schemacat	(revision 4587)
+++ cats/SCHEMAcat/trunk/data/schemata/s1/index.schemacat	(revision 4637)
@@ -3,5 +3,6 @@
   <sc:name>adelheid-charstream</sc:name>
   <sc:version/>
-  <sc:description>Schema for an Adelheid Character Stream document. Such a document consists of a TEI Header, and a body of character streams for one or more manuscript.</sc:description>
+  <sc:description>Schema for an Adelheid Character Stream document. Such a document consists of a
+    TEI Header, and a body of character streams for one or more manuscript.</sc:description>
   <sc:status>production</sc:status>
   <sc:tag type="group">Adelheid</sc:tag>
Index: cats/SCHEMAcat/trunk/data/schemata/s12/index.schemacat
===================================================================
--- cats/SCHEMAcat/trunk/data/schemata/s12/index.schemacat	(revision 4587)
+++ cats/SCHEMAcat/trunk/data/schemata/s12/index.schemacat	(revision 4637)
@@ -3,5 +3,7 @@
   <sc:name>TEI-header</sc:name>
   <sc:version>2.1.0</sc:version>
-  <sc:description/>
+  <sc:description>Schema for the TEI Header. This version of the schema is annotated with ISOcat
+    Data Category references to make the semantics explicit and shareable, e.g., with CLARIN
+    Component Metadata.</sc:description>
   <sc:status>development</sc:status>
   <sc:pid/>
Index: cats/SCHEMAcat/trunk/data/schemata/s13/files/avatech-multitier.xsd
===================================================================
--- cats/SCHEMAcat/trunk/data/schemata/s13/files/avatech-multitier.xsd	(revision 4637)
+++ cats/SCHEMAcat/trunk/data/schemata/s13/files/avatech-multitier.xsd	(revision 4637)
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
+  elementFormDefault="qualified">
+  <xs:element name="TIERS">
+    <xs:complexType>
+      <xs:sequence>
+        <xs:element minOccurs="1" maxOccurs="unbounded" ref="TIER"/>
+      </xs:sequence>
+    </xs:complexType>
+  </xs:element>
+  <xs:element name="TIER">
+    <xs:complexType>
+      <xs:sequence>
+        <xs:element maxOccurs="unbounded" ref="span"/>
+      </xs:sequence>
+      <xs:attribute name="columns" use="required" type="xs:string"/>
+    </xs:complexType>
+  </xs:element>
+  <xs:element name="span">
+    <xs:complexType>
+      <xs:sequence>
+        <xs:element maxOccurs="unbounded" ref="v"/>
+      </xs:sequence>
+      <xs:attribute name="end" use="required" type="xs:decimal"/>
+      <xs:attribute name="start" use="required" type="xs:decimal"/>
+    </xs:complexType>
+  </xs:element>
+  <xs:element name="v" type="xs:string"/>
+</xs:schema>
Index: cats/SCHEMAcat/trunk/data/schemata/s13/index.schemacat
===================================================================
--- cats/SCHEMAcat/trunk/data/schemata/s13/index.schemacat	(revision 4637)
+++ cats/SCHEMAcat/trunk/data/schemata/s13/index.schemacat	(revision 4637)
@@ -0,0 +1,26 @@
+<?xml-model href=""?>
+<sc:schema xmlns:sc="http://www.isocat.org/ns/schemacat" xml:id="s13">
+  <sc:name>avatech-multitier</sc:name>
+  <sc:version/>
+  <sc:description>Schema for an AVATecH multitier file, which allows to use independent
+    segmentations in different tiers within a single XML file. In a single tier format, it is
+    possible to store multiple tiers, but with only one time segmentation which had to be shared by
+    all tiers.each item describes a timespan, with start time and end time. Times in each tier item
+    have to be in ascending order and the timespans must not overlap. They can, however, be back to
+    back. Content can be free text, numerical values, text using a controlled vocabulary or similar.
+    Of course all spans must provide values (v) for all columns and the values must be given in the
+    same order as specified in the columns header attribute.</sc:description>
+  <sc:status>development</sc:status>
+  <sc:tag type="group">AVATecH</sc:tag>
+  <sc:access>
+    <sc:user role="owner" ref="u1" actions="rud"/>
+    <sc:all actions="r"/>
+  </sc:access>
+  <sc:files>
+    <sc:file type="main">
+      <sc:name>avatech-multitier.xsd</sc:name>
+      <sc:type ref="xsd-1.0"/>
+    </sc:file>
+  </sc:files>
+  <sc:license ref="MIT"/>
+</sc:schema>
Index: cats/SCHEMAcat/trunk/data/schemata/s2/index.schemacat
===================================================================
--- cats/SCHEMAcat/trunk/data/schemata/s2/index.schemacat	(revision 4587)
+++ cats/SCHEMAcat/trunk/data/schemata/s2/index.schemacat	(revision 4637)
@@ -3,5 +3,7 @@
   <sc:name>adelheid-document</sc:name>
   <sc:version/>
-  <sc:description>dds</sc:description>
+  <sc:description>Schema for an Adelheid XML document consists of a TEI header followed by a body element,
+    containing a sequence of manuscript elements. Each manuscript in turn consists of a sequence of
+    line elements. A line element contains the actual text of each manuscript line.</sc:description>
   <sc:status>production</sc:status>
   <sc:tag type="group">Adelheid</sc:tag>
Index: cats/SCHEMAcat/trunk/data/schemata/s3/index.schemacat
===================================================================
--- cats/SCHEMAcat/trunk/data/schemata/s3/index.schemacat	(revision 4587)
+++ cats/SCHEMAcat/trunk/data/schemata/s3/index.schemacat	(revision 4637)
@@ -3,5 +3,5 @@
   <sc:name>adelheid-lexicon</sc:name>
   <sc:version/>
-  <sc:description/>
+  <sc:description>Schema for an Adelheid lexicon with additional lexical entries.</sc:description>
   <sc:status>production</sc:status>
   <sc:tag type="group">Adelheid</sc:tag>
Index: cats/SCHEMAcat/trunk/data/schemata/s4/index.schemacat
===================================================================
--- cats/SCHEMAcat/trunk/data/schemata/s4/index.schemacat	(revision 4587)
+++ cats/SCHEMAcat/trunk/data/schemata/s4/index.schemacat	(revision 4637)
@@ -3,5 +3,5 @@
   <sc:name>AdelheidTag</sc:name>
   <sc:version/>
-  <sc:description/>
+  <sc:description>Schema of the Adelheid tagset, which is an extension of the CGN tagset.</sc:description>
   <sc:status>production</sc:status>
   <sc:tag type="group">Adelheid</sc:tag>
Index: cats/SCHEMAcat/trunk/data/schemata/s5/index.schemacat
===================================================================
--- cats/SCHEMAcat/trunk/data/schemata/s5/index.schemacat	(revision 4587)
+++ cats/SCHEMAcat/trunk/data/schemata/s5/index.schemacat	(revision 4637)
@@ -3,5 +3,11 @@
   <sc:name>avatech-timeseries</sc:name>
   <sc:version/>
-  <sc:description/>
+  <sc:description>Schema for AVATecH timeseries. There can be one or more values per item, which can
+    be numerical or text. All items (i) must have the same number of values (v). A columns header
+    provides titles for the columns, as a space separated string. Numerical columns must have titles
+    starting with the # character. Of course all items (i) must provide values (v) for all columns
+    and the values must be given in the same order as specified in the columns header attribute.
+    Note that any non-numerical string in a numerical field is just treated as not-a-number, the
+    exact string does not matter.</sc:description>
   <sc:status>production</sc:status>
   <sc:tag type="group">AVATecH</sc:tag>
Index: cats/SCHEMAcat/trunk/data/schemata/s6/index.schemacat
===================================================================
--- cats/SCHEMAcat/trunk/data/schemata/s6/index.schemacat	(revision 4587)
+++ cats/SCHEMAcat/trunk/data/schemata/s6/index.schemacat	(revision 4637)
@@ -3,5 +3,10 @@
   <sc:name>avatech-tier</sc:name>
   <sc:version/>
-  <sc:description/>
+  <sc:description>Schema for an AVATecH tier file where each item describes a timespan, with
+    start time and end time. Item times have to be in ascending order and the timespans must not
+    overlap. They can, however, be back to back. Content can be free text, numerical values, text
+    using a controlled vocabulary or similar. Of course all spans must provide values (v) for all
+    columns and the values must be given in the same order as specified in the columns header
+    attribute.</sc:description>
   <sc:status>production</sc:status>
   <sc:tag type="group">AVATecH</sc:tag>
Index: cats/SCHEMAcat/trunk/data/schemata/s7/index.schemacat
===================================================================
--- cats/SCHEMAcat/trunk/data/schemata/s7/index.schemacat	(revision 4587)
+++ cats/SCHEMAcat/trunk/data/schemata/s7/index.schemacat	(revision 4637)
@@ -3,5 +3,5 @@
   <sc:name>CGN</sc:name>
   <sc:version/>
-  <sc:description/>
+  <sc:description>Schema for the Corpus Gesproken Nederlands (CGN) tagset.</sc:description>
   <sc:status>development</sc:status>
   <sc:tag type="group">Corpus Gesproken Nederlands</sc:tag>