Index: /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/components/ResourceLinksPanel.html
===================================================================
--- /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/components/ResourceLinksPanel.html	(revision 4640)
+++ /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/components/ResourceLinksPanel.html	(revision 4640)
@@ -0,0 +1,46 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
+<!--
+Copyright (C) 2014 CLARIN
+
+This program is free software: you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation, either version 3 of the License, or
+(at your option) any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with this program.  If not, see <http://www.gnu.org/licenses/>.
+-->
+<html xmlns="http://www.w3.org/1999/xhtml" xmlns:wicket="http://wicket.apache.org" xml:lang="en">
+    <head>
+        <title>facet panel</title>
+        <meta charset="UTF-8">
+    </head>
+    <body>
+        <wicket:panel>
+            <wicket:container wicket:id="resource">
+                <a wicket:id="showResource">
+                    <wicket:container wicket:id="filename">resource.txt</wicket:container>
+                </a>
+            </wicket:container>
+
+            <!--            <div wicket:id="resourceDetails" class="recordresourcedetails">
+                            <h2 wicket:id="title">Bachelorscriptie+Rene+Witteveen+3375005.docx</h2>
+                            <ul>
+                                <li wicket:id="fileType">File type: text file</li>
+                                <li wicket:id="resourceType">Mime type: application/msword</li>
+                                <li>Location: 
+                                    <a wicket:id="link" class="resourcedownloadlink">
+                                        <wicket:container wicket:id="href"></wicket:container>
+                                    </a>
+                                </li>
+                            </ul>
+                        </div>-->
+        </wicket:panel>
+    </body>
+</html>
Index: /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/components/ResourceLinksPanel.java
===================================================================
--- /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/components/ResourceLinksPanel.java	(revision 4640)
+++ /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/components/ResourceLinksPanel.java	(revision 4640)
@@ -0,0 +1,98 @@
+/*
+ * Copyright (C) 2014 CLARIN
+ *
+ * This program is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program.  If not, see <http://www.gnu.org/licenses/>.
+ */
+package eu.clarin.cmdi.vlo.wicket.components;
+
+import eu.clarin.cmdi.vlo.pojo.ResourceInfo;
+import eu.clarin.cmdi.vlo.service.ResourceStringConverter;
+import eu.clarin.cmdi.vlo.wicket.model.CollectionListModel;
+import java.util.Collection;
+import org.apache.wicket.AttributeModifier;
+import org.apache.wicket.markup.html.basic.Label;
+import org.apache.wicket.markup.html.link.Link;
+import org.apache.wicket.markup.html.list.ListItem;
+import org.apache.wicket.markup.html.list.ListView;
+import org.apache.wicket.markup.html.panel.Panel;
+import org.apache.wicket.model.IModel;
+import org.apache.wicket.model.LoadableDetachableModel;
+import org.apache.wicket.model.PropertyModel;
+import org.apache.wicket.model.StringResourceModel;
+import org.apache.wicket.spring.injection.annot.SpringBean;
+
+/**
+ *
+ * @author twagoo
+ */
+public class ResourceLinksPanel extends Panel {
+
+    @SpringBean
+    private ResourceStringConverter resourceStringConverter;
+
+    /**
+     *
+     * @param id panel id
+     * @param model model that holds the collection of resource strings
+     */
+    public ResourceLinksPanel(String id, IModel<Collection<String>> model) {
+        super(id, model);
+        final ListView<String> resourcesView = new ListView<String>("resource", new CollectionListModel<String>(model)) {
+
+            @Override
+            protected void populateItem(ListItem<String> item) {
+                final ResourceInfoModel resourceInfoModel = new ResourceInfoModel(item.getModel());
+                final Link link = new Link("showResource") {
+
+                    @Override
+                    public void onClick() {
+                        throw new UnsupportedOperationException("Not supported yet.");
+                    }
+                };
+                item.add(link);
+                // set the file name as the link's text content
+                link.add(new Label("filename", new PropertyModel(resourceInfoModel, "href")));
+                // set the class attribute on the link from the value associated
+                // with the resource type as defined in the properties file
+                link.add(new AttributeModifier("class",
+                        new StringResourceModel("class.${resourceType}", ResourceLinksPanel.this, resourceInfoModel, "")));
+            }
+        };
+        resourcesView.setReuseItems(true);
+        add(resourcesView);
+
+    }
+
+    private class ResourceInfoModel extends LoadableDetachableModel<ResourceInfo> {
+
+        private final IModel<String> resourceStringModel;
+
+        public ResourceInfoModel(IModel<String> resourceStringModel) {
+            this.resourceStringModel = resourceStringModel;
+        }
+
+        @Override
+        protected ResourceInfo load() {
+            return resourceStringConverter.getResourceInfo(resourceStringModel.getObject());
+        }
+
+        @Override
+        public void detach() {
+            super.detach();
+            resourceStringModel.detach();
+        }
+
+    }
+
+}
Index: /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/components/ResourceLinksPanel.properties
===================================================================
--- /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/components/ResourceLinksPanel.properties	(revision 4640)
+++ /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/components/ResourceLinksPanel.properties	(revision 4640)
@@ -0,0 +1,24 @@
+# Copyright (C) 2014 CLARIN
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+# This maps values of ResourceType to CSS classes
+
+class.TEXT=writtenresource
+class.AUDIO=audioresource
+class.VIDEO=videoresource
+class.IMAGE=imageresource
+class.ANNOTATION=annotationresource
+#make separate class for 'other'
+class.OTHER=writtenresource
Index: /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/model/CollectionListModel.java
===================================================================
--- /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/model/CollectionListModel.java	(revision 4639)
+++ /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/model/CollectionListModel.java	(revision 4640)
@@ -42,6 +42,9 @@
         if (object instanceof List) {
             return (List<T>) object;
+        } else if (object == null) {
+            return null;
+        } else {
+            return Lists.newArrayList(object);
         }
-        return Lists.newArrayList(object);
     }
 
Index: /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/pages/RecordPage.html
===================================================================
--- /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/pages/RecordPage.html	(revision 4639)
+++ /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/pages/RecordPage.html	(revision 4640)
@@ -82,19 +82,5 @@
                 </div>
 
-                <div id="recordresources">
-                    <a class="writtenresource" href="http://dspace.library.uu.nl/bitstream/1874/235456/1/Bachelorscriptie+Rene+Witteveen+3375005.docx">Bachelorscriptie+Rene+Witteveen+3375005.docx</a>
-                    <a class="audioresource" href="http://corpus1.mpi.nl/qfs1/media-archive/dobes_data/Ache/Documentaci_n_-_Documentation/Comunidades_-_Communities/Cerro_Moroti/Media/002-djawu_klluu-2011-09-01.wav">002-djawu_klluu-2011-09-01.wav</a>
-                    <a class="annotationresource" href="http://corpus1.mpi.nl/qfs1/media-archive/dobes_data/Ache/Documentaci_n_-_Documentation/Comunidades_-_Communities/Cerro_Moroti/Annotations/002-djawu_klluu-2011-09-01.eaf">002-djawu_klluu-2011-09-01.eaf</a>
-
-                    <div class="recordresourcedetails">
-                        <h2>Bachelorscriptie+Rene+Witteveen+3375005.docx</h2>
-                        <ul>
-                            <li>File type: text file</li>
-                            <li>Mime type: application/msword</li>
-                            <li>Location: <a class="resourcedownloadlink" href="http://dspace.library.uu.nl/bitstream/1874/235456/1/Bachelorscriptie+Rene+Witteveen+3375005.docx">http://dspace.library.uu.nl/bitstream/1874/235456/1/Bachelorscriptie+Rene+Witteveen+3375005.docx</a></li>
-                        </ul>
-                    </div>
-
-                </div>
+                <div wicket:id="resources" id="recordresources">[RESOURCES]</div>
 
                 <p id="recordcmditoggle" class="recordtogglelinks">
Index: /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/pages/RecordPage.java
===================================================================
--- /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/pages/RecordPage.java	(revision 4639)
+++ /vlo/branches/vlo-3.0/vlo-web-app/src/main/java/eu/clarin/cmdi/vlo/wicket/pages/RecordPage.java	(revision 4640)
@@ -22,5 +22,7 @@
 import eu.clarin.cmdi.vlo.service.FieldFilter;
 import eu.clarin.cmdi.vlo.wicket.components.FieldsTablePanel;
+import eu.clarin.cmdi.vlo.wicket.components.ResourceLinksPanel;
 import eu.clarin.cmdi.vlo.wicket.components.SolrFieldLabel;
+import eu.clarin.cmdi.vlo.wicket.model.SolrFieldModel;
 import eu.clarin.cmdi.vlo.wicket.model.SolrFieldStringModel;
 import eu.clarin.cmdi.vlo.wicket.provider.DocumentFieldsProvider;
@@ -65,4 +67,5 @@
         add(createLandingPageLink("landingPageLink", documentModel));
         add(new FieldsTablePanel("documentProperties", new DocumentFieldsProvider(documentModel, new BasicPropertiesFieldFilter())));
+        add(new ResourceLinksPanel("resources", new SolrFieldModel<String>(documentModel, FacetConstants.FIELD_RESOURCE)));
         add(new FieldsTablePanel("technicalProperties", new DocumentFieldsProvider(documentModel, new TechnicalPropertiesFieldFilter())));
     }
Index: /vlo/branches/vlo-3.0/vlo-web-app/src/main/webapp/style/vlo-record.css
===================================================================
--- /vlo/branches/vlo-3.0/vlo-web-app/src/main/webapp/style/vlo-record.css	(revision 4639)
+++ /vlo/branches/vlo-3.0/vlo-web-app/src/main/webapp/style/vlo-record.css	(revision 4640)
@@ -128,5 +128,5 @@
 }
 
-#recordresources > a {
+#recordresources a {
     display: inline-block;
     float: left;
@@ -141,5 +141,5 @@
 }
 
-#recordresources > a:hover {
+#recordresources a:hover {
     background-color: #ccc;
 }
Index: /vlo/branches/vlo-3.0/vlo-web-app/src/test/java/eu/clarin/cmdi/vlo/wicket/pages/TestRecordPage.java
===================================================================
--- /vlo/branches/vlo-3.0/vlo-web-app/src/test/java/eu/clarin/cmdi/vlo/wicket/pages/TestRecordPage.java	(revision 4639)
+++ /vlo/branches/vlo-3.0/vlo-web-app/src/test/java/eu/clarin/cmdi/vlo/wicket/pages/TestRecordPage.java	(revision 4640)
@@ -72,3 +72,5 @@
         tester.assertVisible("landingPageLink");
     }
+    
+    //TODO: Add test for display of resources
 }