Index: /FederatedSearch/examples/Endpoint-Description-Complex.xml
===================================================================
--- /FederatedSearch/examples/Endpoint-Description-Complex.xml	(revision 4676)
+++ /FederatedSearch/examples/Endpoint-Description-Complex.xml	(revision 4677)
@@ -1,13 +1,16 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<EndpointDescription xmlns="http://clarin.eu/fcs/1.0/endpoint-description"
+<EndpointDescription xmlns="http://clarin.eu/fcs/endpoint-description"
     xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-    xsi:schemaLocation="http://clarin.eu/fcs/1.0/endpoint-description ../schema/Endpoint-Description.xsd">
-    <Profile>basic</Profile>
+    xsi:schemaLocation="http://clarin.eu/fcs/endpoint-description ../schema/Endpoint-Description.xsd"
+    version="1">
+    <Capabilities>
+        <Capability>http://clarin.eu/fcs/capability/basic-search</Capability>
+    </Capabilities>
     <SupportedDataViews>
-        <SupportedDataView>application/x-clarin-fcs-hits+xml</SupportedDataView>
-        <SupportedDataView>application/x-cmdi+xml</SupportedDataView>
+        <SupportedDataView id="dv1">application/x-clarin-fcs-hits+xml</SupportedDataView>
+        <SupportedDataView id="dv2">application/x-cmdi+xml</SupportedDataView>
     </SupportedDataViews>
-    <Collections>
-        <Collection pid="hdl:10932/goethe">
+    <Resources>
+        <Resource pid="hdl:10932/goethe">
             <Title xml:lang="de">Goethe Corpus</Title>
             <Title xml:lang="en">Goethe Korpus</Title>
@@ -18,6 +21,6 @@
                 <Language>deu</Language>
             </Languages>
-        </Collection>
-        <Collection pid="hdl:10932/mannheimer_morgen">
+        </Resource>
+        <Resource pid="hdl:10932/mannheimer_morgen">
             <Title xml:lang="de">Mannheimer Morgen newspaper Corpus</Title>
             <Title xml:lang="en">Zeitungskorpus des Mannheimer Morgen</Title>
@@ -26,6 +29,6 @@
                 <Language>deu</Language>
             </Languages>
-            <Collections>
-                <Collection pid="hdl:10932/mannheimer_morgen_before_1990">
+            <Resources>
+                <Resource pid="hdl:10932/mannheimer_morgen_before_1990">
                     <Title xml:lang="de">Mannheimer Morgen newspaper Corpus (before 1990)</Title>
                     <Title xml:lang="en">Zeitungskorpus des Mannheimer Morgen (vor 1990)</Title>
@@ -34,6 +37,6 @@
                         <Language>deu</Language>
                     </Languages>
-                </Collection>
-                <Collection pid="hdl:10932/mannheimer_morgen_after_1990">
+                </Resource>
+                <Resource pid="hdl:10932/mannheimer_morgen_after_1990">
                     <Title xml:lang="de">Mannheimer Morgen newspaper Corpus (after 1990)</Title>
                     <Title xml:lang="en">Zeitungskorpus des Mannheimer Morgen (nach 1990)</Title>
@@ -42,7 +45,7 @@
                         <Language>deu</Language>
                     </Languages>
-                </Collection>
-            </Collections>
-        </Collection>
-    </Collections>
+                </Resource>
+            </Resources>
+        </Resource>
+    </Resources>
 </EndpointDescription>
Index: /FederatedSearch/examples/Endpoint-Description-Simple.xml
===================================================================
--- /FederatedSearch/examples/Endpoint-Description-Simple.xml	(revision 4676)
+++ /FederatedSearch/examples/Endpoint-Description-Simple.xml	(revision 4677)
@@ -1,12 +1,16 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<EndpointDescription xmlns="http://clarin.eu/fcs/1.0/endpoint-description"
+<EndpointDescription xmlns="http://clarin.eu/fcs/endpoint-description"
     xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-    xsi:schemaLocation="http://clarin.eu/fcs/1.0/endpoint-description ../schema/Endpoint-Description.xsd">
-    <Profile>basic</Profile>
+    xsi:schemaLocation="http://clarin.eu/fcs/endpoint-description ../schema/Endpoint-Description.xsd"
+    version="1">
+    <Capabilities>
+        <Capability>http://clarin.eu/fcs/capability/basic-search</Capability>
+        <Capability>http://clarin.eu/fcs/capability/a-b</Capability>
+    </Capabilities>
     <SupportedDataViews>
-        <SupportedDataView>application/x-clarin-fcs-hits+xml</SupportedDataView>
+        <SupportedDataView id="dv1">application/x-clarin-fcs-hits+xml</SupportedDataView>
     </SupportedDataViews>
-    <Collections>
-        <Collection pid="hdl:10932/goethe">
+    <Resources>
+        <Resource pid="hdl:10932/goethe">
             <Title xml:lang="de">Goethe Corpus</Title>
             <Title xml:lang="en">Goethe Korpus</Title>
@@ -17,5 +21,5 @@
                 <Language>deu</Language>
             </Languages>
-        </Collection>
-    </Collections>
+        </Resource>
+    </Resources>
 </EndpointDescription>
Index: /FederatedSearch/examples/Example-Resource-with-Custom-Extension.xml
===================================================================
--- /FederatedSearch/examples/Example-Resource-with-Custom-Extension.xml	(revision 4676)
+++ /FederatedSearch/examples/Example-Resource-with-Custom-Extension.xml	(revision 4677)
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <Resource xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-    xsi:schemaLocation="http://clarin.eu/fcs/1.0 ../schema/Resource.xsd
-                        http://clarin.eu/fcs/1.0/hits ../schema/DataView-HITS.xsd"
-    xmlns="http://clarin.eu/fcs/1.0"
+    xsi:schemaLocation="http://clarin.eu/fcs/resource ../schema/Resource.xsd
+                        http://clarin.eu/fcs/dataview/hits ../schema/DataView-Hits.xsd"
+    xmlns="http://clarin.eu/fcs/resource"
     pid="hdl:4711/00-0000-0000-0000-0000-0">
     <DataView type="application/x-clarin-fcs-hits+xml"
@@ -11,5 +11,5 @@
                   Indention and formatting should be avoided.
         -->
-        <hits:Result xmlns:hits="http://clarin.eu/fcs/1.0/hits">
+        <hits:Result xmlns:hits="http://clarin.eu/fcs/dataview/hits">
             Und so will ich denn hier auch noch anfÃŒhren, daÃ ich in diesem
             Elend das neckische GelÃŒbde getan: man solle, wenn ich uns
Index: /FederatedSearch/examples/Example-Resource.xml
===================================================================
--- /FederatedSearch/examples/Example-Resource.xml	(revision 4676)
+++ /FederatedSearch/examples/Example-Resource.xml	(revision 4677)
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <Resource xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-    xsi:schemaLocation="http://clarin.eu/fcs/1.0 ../schema/Resource.xsd
-                        http://clarin.eu/fcs/1.0/hits ../schema/DataView-HITS.xsd"
-    xmlns="http://clarin.eu/fcs/1.0"
+    xsi:schemaLocation="http://clarin.eu/fcs/resource ../schema/Resource.xsd
+                        http://clarin.eu/fcs/dataview/hits ../schema/DataView-Hits.xsd"
+    xmlns="http://clarin.eu/fcs/resource"
     pid="hdl:4711/00-0000-0000-0000-0000-0">
     <DataView type="application/x-clarin-fcs-hits+xml"
@@ -11,5 +11,5 @@
                   Indention and formatting should be avoided.
         -->
-        <hits:Result xmlns:hits="http://clarin.eu/fcs/1.0/hits">
+        <hits:Result xmlns:hits="http://clarin.eu/fcs/dataview/hits">
             Und so will ich denn hier auch noch anfÃŒhren, daÃ ich in diesem
             Elend das neckische GelÃŒbde getan: man solle, wenn ich uns
Index: /FederatedSearch/examples/Resource-Hit-Multi-Hit.xml
===================================================================
--- /FederatedSearch/examples/Resource-Hit-Multi-Hit.xml	(revision 4676)
+++ /FederatedSearch/examples/Resource-Hit-Multi-Hit.xml	(revision 4677)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<Result xmlns="http://clarin.eu/fcs/1.0/hits"
+<Result xmlns="http://clarin.eu/fcs/dataview/hits"
     xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-    xsi:schemaLocation="http://clarin.eu/fcs/1.0/hits ../schema/Resource-Hits.xsd">
+    xsi:schemaLocation="http://clarin.eu/fcs/dataview/hits ../schema/DataView-Hits.xsd">
     The quick brown <Hit>fox</Hit> jumps over the lazy <Hit>dog</Hit>.
 </Result>
Index: /FederatedSearch/examples/Resource-Hit-Single.xml
===================================================================
--- /FederatedSearch/examples/Resource-Hit-Single.xml	(revision 4676)
+++ /FederatedSearch/examples/Resource-Hit-Single.xml	(revision 4677)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<Result xmlns="http://clarin.eu/fcs/1.0/hits"
+<Result xmlns="http://clarin.eu/fcs/dataview/hits"
     xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-    xsi:schemaLocation="http://clarin.eu/fcs/1.0/hits ../schema/Resource-Hits.xsd">
+    xsi:schemaLocation="http://clarin.eu/fcs/dataview/hits ../schema/DataView-Hits.xsd">
     The quick brown <Hit>fox</Hit> jumps over the lazy dog.
 </Result>
Index: /FederatedSearch/schema/DataView-Hits.xsd
===================================================================
--- /FederatedSearch/schema/DataView-Hits.xsd	(revision 4676)
+++ /FederatedSearch/schema/DataView-Hits.xsd	(revision 4677)
@@ -1,9 +1,9 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
+    xmlns:h="http://www.w3.org/1999/xhtml"
     xmlns:vc="http://www.w3.org/2007/XMLSchema-versioning"
     xmlns:hits="http://clarin.eu/fcs/1.0/hits"
-    xmlns:h="http://www.w3.org/1999/xhtml"
     xml:lang="en" vc:minVersion="1.0" vc:maxVersion="1.1"
-    targetNamespace="http://clarin.eu/fcs/1.0/hits" elementFormDefault="qualified">
+    targetNamespace="http://clarin.eu/fcs/dataview/hits" elementFormDefault="qualified">
 
     <xs:annotation>
Index: /FederatedSearch/schema/Endpoint-Description.xsd
===================================================================
--- /FederatedSearch/schema/Endpoint-Description.xsd	(revision 4676)
+++ /FederatedSearch/schema/Endpoint-Description.xsd	(revision 4677)
@@ -1,10 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
+    xmlns:h="http://www.w3.org/1999/xhtml"
     xmlns:vc="http://www.w3.org/2007/XMLSchema-versioning"
-    xmlns:ed="http://clarin.eu/fcs/1.0/endpoint-description" elementFormDefault="qualified"
-    xmlns:h="http://www.w3.org/1999/xhtml"
-    xml:lang="en" vc:minVersion="1.0" vc:maxVersion="1.1"
-    targetNamespace="http://clarin.eu/fcs/1.0/endpoint-description">
-    <xs:import namespace="http://www.w3.org/XML/1998/namespace" schemaLocation="http://www.w3.org/2001/xml.xsd" />
+    xmlns:ed="http://clarin.eu/fcs/endpoint-description" 
+    xml:lang="en"
+    vc:minVersion="1.0" vc:maxVersion="1.1"
+    elementFormDefault="qualified"
+    targetNamespace="http://clarin.eu/fcs/endpoint-description">
+    <xs:import namespace="http://www.w3.org/XML/1998/namespace"
+               schemaLocation="http://www.w3.org/2001/xml.xsd" />
 
     <xs:annotation>
@@ -44,39 +47,31 @@
         <xs:complexType>
             <xs:sequence>
-                <!-- Profile -->
-                <xs:element name="Profile">
-                    <xs:annotation>
-                        <xs:documentation>
-                            <h:p> The CLARIN-FCS profile, that is supported
-                                by an Endpoint. </h:p>
-                        </xs:documentation>
-                    </xs:annotation>
-                    <xs:simpleType>
-                        <xs:restriction base="xs:string">
-                            <xs:enumeration value="basic">
+                <!-- Capabilities -->
+                <xs:element name="Capabilities">
+                    <xs:annotation>
+                        <xs:documentation>
+                            <h:p>A list of Capabilities, that are supported by this Endpoint.</h:p>
+                        </xs:documentation>
+                    </xs:annotation>
+                    <xs:complexType>
+                        <xs:sequence>
+                            <xs:element name="Capability" maxOccurs="unbounded">
                                 <xs:annotation>
                                     <xs:documentation>
-                                        <h:p> The Endpoint supports the
-                                            <h:em>basic</h:em>
-                                            CLARIN-FCS profile. </h:p>
+                                        A Capability, encoded by an URI, that is supported by this Endpoint.
+                                        For valid URIs, consult the CLARIN-FCS specification.
                                     </xs:documentation>
                                 </xs:annotation>
-                            </xs:enumeration>
-                            <!-- 'extended' is not yet defined -->
-                            <!--
-                            <xs:enumeration value="extended">
-                                <xs:annotation>
-                                    <xs:documentation>
-                                        <h:p> The Endpoint supports the
-                                            <h:em>extended</h:em>
-                                            CLARIN-FCS profile. </h:p>
-                                    </xs:documentation>
-                                </xs:annotation>
-                            </xs:enumeration>
-                            -->
-                        </xs:restriction>
-                    </xs:simpleType>
-                </xs:element>
-
+                                <xs:simpleType>
+                                    <xs:restriction base="xs:anyURI">
+                                        <xs:pattern value="http://clarin.eu/fcs/capability/\w([\.\-]{0,1}\w)*" />
+                                    </xs:restriction>
+                                </xs:simpleType>
+                            </xs:element>
+                        </xs:sequence>
+                    </xs:complexType>
+                </xs:element>
+
+                <!-- SupportedDataViews -->
                 <xs:element name="SupportedDataViews">
                     <xs:annotation>
@@ -91,39 +86,63 @@
                                 <xs:annotation>
                                     <xs:documentation>
-                                        The MIME type of a supported DataView.
+                                        The MIME type of a supported Data View.
                                     </xs:documentation>
                                 </xs:annotation>
-                                <xs:simpleType>
-                                    <xs:restriction base="xs:string">
-                                        <xs:pattern value="\w+/\w([\.\-]{0,1}\w)*(\+\w+){0,1}"/>
-                                    </xs:restriction>
-                                </xs:simpleType>
+                                <xs:complexType>
+                                    <xs:simpleContent>
+                                        <xs:extension base="ed:mimetypeString">
+                                            <xs:attribute name="id" type="xs:ID" use="required" />
+                                        </xs:extension>
+                                    </xs:simpleContent>
+                                </xs:complexType>
                             </xs:element>
                         </xs:sequence>
                     </xs:complexType>
                 </xs:element>
-                <!-- Collections -->
-                <xs:element ref="ed:Collections">
-                    <xs:annotation>
-                        <xs:documentation>
-                            <h:p>
-                                A list of top-level collections, that are available
+                
+                <!-- Resources -->
+                <xs:element ref="ed:Resources">
+                    <xs:annotation>
+                        <xs:documentation>
+                            <h:p>
+                                A list of top-level resources, that are available
                                 at an Endpoint. An Endpoint MUST
-                                declare at least one top-level collection.
-                            </h:p>
-                        </xs:documentation>
-                    </xs:annotation>
-                </xs:element>
+                                declare at least one top-level resource.
+                            </h:p>
+                        </xs:documentation>
+                    </xs:annotation>
+                </xs:element>
+
+                <!-- extension point -->
+                <xs:any namespace="##other" processContents="skip" minOccurs="0" maxOccurs="unbounded">
+                    <xs:annotation>
+                        <xs:documentation>
+                            <h:p>
+                                Extension point to allow Endpoints to embed custom data in the Endpoint Description.
+                                CLARIN-FCS clients SHOULD ignore any data they do not understand.  
+                            </h:p>
+                        </xs:documentation>
+                    </xs:annotation>
+                </xs:any>
             </xs:sequence>
+            <xs:attribute name="version" type="xs:nonNegativeInteger" use="required">
+                <xs:annotation>
+                    <xs:documentation>
+                        <h:p>
+                            Version used for Endpoint Description. Endpoints MUST use the value "1".
+                        </h:p>
+                    </xs:documentation>
+                </xs:annotation>
+            </xs:attribute>
         </xs:complexType>
     </xs:element>
 
-    <xs:element name="Collections">
+    <xs:element name="Resources">
         <xs:annotation>
             <xs:documentation>
                 <h:p>
-                    A list of collections, that are available
+                    A list of resources, that are available
                     at an Endpoint. An Endpoint MUST
-                    declare at least one collection.
+                    declare at least one resource.
                 </h:p>
             </xs:documentation>
@@ -131,15 +150,15 @@
         <xs:complexType>
             <xs:sequence>
-                <xs:element ref="ed:Collection" maxOccurs="unbounded"/>
+                <xs:element ref="ed:Resource" maxOccurs="unbounded"/>
             </xs:sequence>                            
         </xs:complexType>
     </xs:element>
 
-    <xs:element name="Collection">
+    <xs:element name="Resource">
         <xs:annotation>
             <xs:documentation>
                 <h:p>
-                    Detailed description of a collection that is available at an
-                    Endpoint. A collection is a searchable
+                    Detailed description of a resource that is available at an
+                    Endpoint. A resource is a searchable
                     entity at an Endpoint, e.g. a single corpus.
                 </h:p>
@@ -152,5 +171,5 @@
                         <xs:documentation>
                             <h:p>
-                                A human readable title for the corpus. An English version is
+                                A human readable title for the resource. An English version is
                                 mandatory.
                             </h:p>
@@ -158,9 +177,10 @@
                     </xs:annotation>
                 </xs:element>
+                
                 <xs:element name="Description" type="ed:i18nString" minOccurs="0" maxOccurs="unbounded">
                     <xs:annotation>
                         <xs:documentation>
                             <h:p>
-                                An optional human-readable description of the collection. Is should
+                                An optional human-readable description of the resource. Is should
                                 be at most one sentence. If supplied, an English version is
                                 mandatory.
@@ -169,18 +189,20 @@
                     </xs:annotation>
                 </xs:element>
+                
                 <xs:element name="LandingPageURI" type="xs:anyURI" minOccurs="0">
                     <xs:annotation>
                         <xs:documentation>
                             <h:p>
-                                A link to a website for this collection, e.g. a landing page for a corpus. 
-                            </h:p>
-                        </xs:documentation>
-                    </xs:annotation>
-                </xs:element>
+                                A link to a website for the resource, e.g. a landing page for a corpus. 
+                            </h:p>
+                        </xs:documentation>
+                    </xs:annotation>
+                </xs:element>
+                
                 <xs:element name="Languages">
                     <xs:annotation>
                         <xs:documentation>
                             <h:p>
-                                The (relevant) languages available <h:em>within</h:em> the collection.
+                                The (relevant) languages available <h:em>within</h:em> the resource.
                             </h:p>
                         </xs:documentation>
@@ -194,5 +216,5 @@
                                             A ISO 639-3 three letter language code. This
                                             element should be repeated for all languages
-                                            (relevant) available <h:em>within</h:em> the collection.
+                                            (relevant) available <h:em>within</h:em> the resource.
                                         </p>
                                     </xs:documentation>
@@ -207,16 +229,29 @@
                     </xs:complexType>
                 </xs:element>
-                <xs:element ref="ed:Collections" minOccurs="0">
-                    <xs:annotation>
-                        <xs:documentation>
-                            <h:p>
-                                If a collection has searchable sub-collections
+
+                <xs:element ref="ed:Resources" minOccurs="0">
+                    <xs:annotation>
+                        <xs:documentation>
+                            <h:p>
+                                If a resource has searchable sub-resources
                                 the Endpoint MUST supply additional finer grained
-                                collection elements. A sub-collection is a
-                                searchable entity within a collection, e.g. a sub-corpus.
-                            </h:p>
-                        </xs:documentation>
-                    </xs:annotation>
-                </xs:element>
+                                &lt;Resource&gt; elements. A sub-resource is a
+                                searchable entity within a resource, e.g. a sub-corpus.
+                            </h:p>
+                        </xs:documentation>
+                    </xs:annotation>
+                </xs:element>
+
+                <!-- extension point -->
+                <xs:any namespace="##other" processContents="skip" minOccurs="0" maxOccurs="unbounded">
+                    <xs:annotation>
+                        <xs:documentation>
+                            <h:p>
+                                Extension point to allow Endpoints to embed custom data in the Endpoint Description
+                                for a specific resource. CLARIN-FCS clients SHOULD ignore any data they do not understand.  
+                            </h:p>
+                        </xs:documentation>
+                    </xs:annotation>
+                </xs:any>
             </xs:sequence>
             <xs:attribute name="pid" type="xs:anyURI" use="required">
@@ -224,5 +259,5 @@
                     <xs:documentation>
                         <h:p>
-                            The persistent identifier of this collection. This
+                            The persistent identifier of this resource. This
                             value MUST be the same as the <h:code>MdSelfLink</h:code>
                             of the CMDI record describing the collection.
@@ -234,4 +269,10 @@
     </xs:element>
 
+    <xs:simpleType name="mimetypeString">
+        <xs:restriction base="xs:string">
+            <xs:pattern value="\w+/\w([\.\-]{0,1}\w)*(\+\w+){0,1}" />
+        </xs:restriction>
+    </xs:simpleType>
+
     <xs:complexType name="i18nString">
         <xs:simpleContent>
Index: /FederatedSearch/schema/Resource.xsd
===================================================================
--- /FederatedSearch/schema/Resource.xsd	(revision 4676)
+++ /FederatedSearch/schema/Resource.xsd	(revision 4677)
@@ -2,8 +2,9 @@
 <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
     xmlns:vc="http://www.w3.org/2007/XMLSchema-versioning"
-    xmlns:fcs="http://clarin.eu/fcs/1.0"
     xmlns:h="http://www.w3.org/1999/xhtml"
+    xmlns:fcs="http://clarin.eu/fcs/resource"
     xml:lang="en" vc:minVersion="1.0" vc:maxVersion="1.1"
-    targetNamespace="http://clarin.eu/fcs/1.0" elementFormDefault="qualified">
+    targetNamespace="http://clarin.eu/fcs/resource" elementFormDefault="qualified">
+
     <xs:annotation>
         <xs:documentation>
@@ -50,8 +51,4 @@
     <xs:complexType name="ResourceType">
         <xs:sequence>
-            <!--
-              As long as there is no clear use-case, don't allow recursive Resources
-              <xs:element name="Resource" minOccurs="0" maxOccurs="unbounded" type="fcs:ResourceType"/>
-            -->
             <xs:element name="DataView" type="fcs:DataViewType" minOccurs="0" maxOccurs="unbounded" />
             <xs:element name="ResourceFragment" minOccurs="0" maxOccurs="unbounded">