Index: cats/ISOcat/trunk/mod-ISOcat-interface-gi/interface/JSXAPPS/ISOcat/js/org/isocat/gui/DCViewer.js
===================================================================
--- cats/ISOcat/trunk/mod-ISOcat-interface-gi/interface/JSXAPPS/ISOcat/js/org/isocat/gui/DCViewer.js	(revision 4911)
+++ cats/ISOcat/trunk/mod-ISOcat-interface-gi/interface/JSXAPPS/ISOcat/js/org/isocat/gui/DCViewer.js	(revision 4948)
@@ -353,4 +353,5 @@
         
         // close some sections
+        $('.dc-' + this.dc.id + '-adminrec').toggle();
         $('.dc-' + this.dc.id + '-langsec').toggle();
         $('.dc-' + this.dc.id + '-langsec-en').addClass('dc-' + this.dc.id + '-langsec');
Index: cats/ISOcat/trunk/mod-ISOcat-interface-rest/representations/html/datacategory.xsl
===================================================================
--- cats/ISOcat/trunk/mod-ISOcat-interface-rest/representations/html/datacategory.xsl	(revision 4911)
+++ cats/ISOcat/trunk/mod-ISOcat-interface-rest/representations/html/datacategory.xsl	(revision 4948)
@@ -81,5 +81,6 @@
 	
 	<xsl:template match="isocat:administrationStatus" priority="10">
-		<tr class="DC-data">
+	    <xsl:param name="class" select="''" tunnel="yes"/>
+	    <tr class="DC-data{if (normalize-space($class)!='') then (concat(' ',$class)) else ()}">
 			<td class="DC-data-label">
 				<xsl:value-of select="isocat:name(.)"/>
@@ -282,5 +283,54 @@
 	</xsl:template>
 	
-	<xsl:template match="*[empty(child::dcif:*)]">
+    <xsl:template match="dcif:administrationRecord" priority="1">
+        <xsl:param name="class" select="''" tunnel="yes"/>
+        <xsl:variable name="dc" select="ancestor::dcif:dataCategory[last()]/@isocat:id"/>
+        <xsl:variable name="c" select="concat('dc-',$dc,'-adminrec')"/>
+        <xsl:variable name="classes" select="string-join(($c,$class),' ')"/>
+        <xsl:variable name="level" select="isocat:level(.)"/>
+        <tr class="DC-header{if (normalize-space($class)!='') then (concat(' ',$class)) else ()}">
+            <th colspan="2">
+                <xsl:if test="ancestor-or-self::*/@isocat:suppress='true'">
+                    <xsl:attribute name="style" select="'color:gray;'"/>
+                </xsl:if>
+                <xsl:choose>
+                    <xsl:when test="$level &lt; 1">
+                        <xsl:attribute name="class" select="concat('DC-header-level-',$level + 1)"/>
+                    </xsl:when>
+                    <xsl:when test="$level &lt; 2">
+                        <xsl:attribute name="class" select="concat('DC-header-level-',$level + 1)"/>
+                    </xsl:when>
+                    <xsl:otherwise>
+                        <xsl:attribute name="class" select="'DC-header-level-x'"/>
+                    </xsl:otherwise>
+                </xsl:choose>
+                <pre style="display:inline;cursor:pointer;cursor:hand;" onclick="var span = this;$('.{$c}').toggle(1000);span.innerHTML = '['+(span.innerHTML=='[+] '?'-':'+')+'] ';">
+   				    <xsl:text>[+] </xsl:text>
+    			</pre>
+                <xsl:value-of select="isocat:section(.)"/>
+                <xsl:text>. </xsl:text>
+                <xsl:value-of select="isocat:name(.)"/>
+            </th>
+        </tr>
+        <xsl:apply-templates select="child::*[empty(child::*)] except dcif:note">
+            <xsl:with-param name="class" select="$classes" tunnel="yes"/>
+        </xsl:apply-templates>
+        <xsl:apply-templates select="child::*[exists(child::*)]">
+            <xsl:with-param name="class" select="$classes" tunnel="yes"/>
+        </xsl:apply-templates>
+        <xsl:if test="exists(dcif:note[normalize-space(.)!=''])">
+            <tr class="DC-header">
+                <th colspan="2" class="DC-header-level-x">
+                    <xsl:value-of select="isocat:section(.)"/>
+                    <xsl:text>.</xsl:text>
+                    <xsl:value-of select="count(child::*[exists(child::*)]) + 1"/>
+                    <xsl:text> Note Section</xsl:text>
+                </th>
+            </tr>
+            <xsl:apply-templates select="dcif:note[normalize-space(.)!='']"/>
+        </xsl:if>
+    </xsl:template>
+    
+    <xsl:template match="*[empty(child::dcif:*)]">
 		<xsl:param name="class" select="''" tunnel="yes"/>
 		<tr class="DC-data{if (normalize-space($class)!='') then (concat(' ',$class)) else ()}">
@@ -320,5 +370,5 @@
 		</tr>
 	</xsl:template>
-	
+    
 	<xsl:template match="*[exists(child::dcif:*)]">
 		<xsl:param name="class" select="''" tunnel="yes"/>
@@ -433,10 +483,10 @@
 						</xsl:otherwise>
 					</xsl:choose>
-					<tr class="DC-data">
+					<!--<tr class="DC-data">
 						<td class="DC-data-label">Key</td>
 						<td class="DC-data-value">
 							<xsl:value-of select="@isocat:id"/>
 						</td>
-					</tr>
+					</tr>-->
 					<tr class="DC-data">
 						<td class="DC-data-label">PID</td>
@@ -514,5 +564,6 @@
 					<xsl:for-each select=".//dcif:dataCategory">
 						<xsl:variable name="dc" select="@isocat:id"/>
-						$('.dc-<xsl:value-of select="$dc"/>-langsec').toggle();
+					    $('.dc-<xsl:value-of select="$dc"/>-adminrec').toggle();
+					    $('.dc-<xsl:value-of select="$dc"/>-langsec').toggle();
 						$('.dc-<xsl:value-of select="$dc"/>-langsec-en').addClass('dc-<xsl:value-of select="$dc"/>-langsec');
 					</xsl:for-each>